Quassel IRC - Bug #499

Put Global Notice events from Freenode in a Global Notice buffer
01/24/2009 03:17 PM - ZRegis

Status: Rejected Start date: 12/24/2008
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.3.1

Version: 0.3.1+ 0S: Any
Description

[14:44:52] [christel] [Global Notice] Hi all, Terribly sorry for that network burp -- appears one of our sponsors decided to reboot the
server without warning, affected users in the region of 2,000. We apologise for that mishap and hope you have a nice day!
[00:00:00] [Day changed to mardi décembre 16 2008]

[00:00:00] [Day changed to mardi décembre 30 2008]

[21:21:37] [christel] [Global Notice] Hi all, It would appear one of our US client servers have fallen off the edge of the
discwo*H*H*H"H"H"Hinternet and all but vanished! We're looking into the issue now and hope to have it back soon. Affected users
~3K. Apologies for the inconvenience and thank you for flying freenode!

[00:00:00] [Day changed to mercredi décembre 31 2008]

[10:16:10] [christel] [Global Notice] As Chatham Island, NZ enters 2009 I'd like to wish each and every one of our users a very happy
New Year! As normal #freenode-newyears is open and you're welcome to join us there! We may send the occasional wallop over the
next day, however, this will be the only global notice. If you wish to see further messages from staff please set yourself +w.
[00:00:00] [Day changed to jeudi janvier 1 2009]

[00:00:00] [Day changed to dimanche janvier 4 2009]

[19:51:52] [christel] [Global Notice] Good Evening Ladies and Gentlemen -- it's time for a somewhat late christmas pantomime.. |
need to do a spot of rehubbing, it shouldn't take too long and you're welcome to point and laugh if it all breaks! Apologies for the
inconvenience and have a nice day!

[00:00:00] [Day changed to lundi janvier 5 2009]

[13:48:48] [christel] [Global Notice] Hi all, I've added a new module to our services installation, that may be of interest to those of you
with enforce enabled. It may also cause some adverse interactions with auto-identify scripts, however. Please see
http:/blog.freenode.net/?p=164 for more information. Thank you for using freenode and have a great day!

[18:57:57] [christel] [Global Notice] Hi all, terribly sorry to bother you again but regardless of how much hairdye | go through, | can't
get away from being blonde. Needless to say, my previous global resulted in inadvertedly ddosing the machine hosting the blog and
website. Please try again later and for now, call me Homer and watch me Doh!

[00:00:00] [Day changed to mardi janvier 6 2009]

[00:00:00] [Day changed to mercredi janvier 7 2009]

[11:27:53] [christel] [Global Notice] Hi all! I'm about to do a tiny bit of rehubbing to try sort out some desync issues with one of our
client servers, affected users ~2500. It will be somewhat bumpy but should be quick! Apologies for the inconvenience and have a
nice day.

[00:00:00] [Day changed to jeudi janvier 8 2009]...

[00:00:00] [Day changed to lundi janvier 12 2009]

[13:11:08] [christel] [Global Notice] Hi all, we appear to have lost our Moscow based client server, and with it approximately 1600
users. We're looking into the issue now and should hopefully have both the server and the users back shortly. Apologies for the
inconvenience. Thank you for using freenode and have a nice day.

[17:57:24] [christel] [Global Notice] Hi all, In about 5 minutes time we'll be taking down one of our client servers for maintenance. The
downtime window is one hour but it should take considerably less time. Affected users ~1k. Thank you for flying freenode and have a
nice evening!

[18:16:27] [christel] [Global Notice] Hi again. We've moved leguin to new hardware, it's up and running and linked to the network
again. That concludes today's scheduled maintenance and with some luck it's plain sailing from here, until Friday when we move
hubbard to a new switch! Big thanks to the University of Umed. Sorry for the downtime and have a continued nice evening.
[00:00:00] [Day changed to mardi janvier 13 2009]

[00:00:00] [Day changed to jeudi janvier 15 2009]

[08:29:25] [christel] [Global Notice] Good Morning all, we'll be restarting two of our servers in about half an hour. niven (v4) and simak
(v6) -- affected users are in the region of 2,000. We apologise for the inconvenience. Thank you for using freenode and have a good
day!

[09:04:13] [christel] [Global Notice] Hi again, it's 0903 and all is well. The two servers have been restarted and is linked back to the
network. Thank you for your patience and have a nice day.

[00:00:00] [Day changed to vendredi janvier 16 2009]

[00:00:00] [Day changed to dimanche janvier 18 2009]

[13:22:03] [christel] [Global Notice] Hi all, As some of you may have noticed, we lost our ipv6 servers for a extended period of time in

07/17/2025 1/2



http://blog.freenode.net/?p=164

the last day. | am terribly sorry about this, it would appear that we've unmasked yet another peculiar hyperion bug. They're back up
now and we shouldn't experience any further problems. Thank you for using freenode and have a great day.

[00:00:00] [Day changed to lundi janvier 19 2009]

[00:00:00] [Day changed to mardi janvier 20 2009]

[19:55:25] [christel] [Global Notice] Hi all, it would appear one of our sponsors are having some issues with their connectivity. As a
result we've lost one of our client (leaf) servers along with services. We hope to have things back to normal asap.

[20:13:21] [christel] [Global Notice] Hi all, Everything is back to normal now (services included) -- bgp issues with uunet as the cause
of the problem. Apologies for the inconvenience and have a good day.

[19:53:32] [tomaw] [Global Notice] Hi! One of our servers had a short-lived problem causing some users to be disconnected. It
should be back online now, sorry for the downtime and thanks for using freenode!

[00:00:00] [Day changed to mercredi décembre 3 2008]

[00:00:00] [Day changed to mardi décembre 9 2008]

[21:22:26] [tomaw] [Global Notice] Hi all. One of our client servers is having some connectivity problems. Please keep with us while
we investigate. Thanks!

[00:00:00] [Day changed to mercredi décembre 10 2008]

[00:00:00] [Day changed to dimanche décembre 14 2008]

[08:58:09] [tomaw] [Global Notice] Hi all. One of our larger client servers just dropped off the network for a few minutes. It's back
now and hopefully stable, sorry for the downtime and thanks for using freenode!

[00:00:00] [Day changed to lundi décembre 15 2008]

[00:00:00] [Day changed to jeudi décembre 25 2008]

[20:10:34] [tomaw] [Global Notice] Hi all, one of our hubs just disappeared taking services with it. We're looking in to the cause now.
[20:20:21] [tomaw] [Global Notice] Hi all. The connectivity problems seem to be resolved and services are back online. Sorry for the
disturbance and thank you for using freenode.

[00:00:00] [Day changed to vendredi décembre 26 2008]

[00:00:00] [Day changed to lundi décembre 29 2008]

[21:52:17] [tomaw] [Global Notice] Hi all. Our EU to US connectively dropped for a moment there generating a rather messy split.
From what we can tell it seems to be resolved so sorry for the noise and thanks for using freenode!

[00:00:00] [Day changed to mardi décembre 30 2008]

[00:00:00] [Day changed to jeudi janvier 22 2009]

[01:04:02] [tomaw] [Global Notice] Hi all. One of our sponsors appears to have had a network connectivity issue. We're working with
them to get the issue resolved.

[00:00:00] [Day changed to vendredi janvier 23 2009]

History

#1 - 01/24/2009 04:10 PM - EgS
Those are regular notices from a user (in that case a network operator). You can chose where those notices should be displayed via settings ->
behavior -> general -> "user notices". Check "Status Buffer"

#2 - 01/24/2009 04:11 PM - EgS

- Status changed from New to Rejected

If you want to filter via that "[global notice]", which is a network specific thing, then you will have to wait for script support.
